Bug 976581 - /usr/bin/abrt-watch-log: strange line in ps output
/usr/bin/abrt-watch-log: strange line in ps output
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1280023
  Show dependency treegraph
 
Reported: 2013-06-20 17:56 EDT by Jan Pokorný
Modified: 2015-11-10 13:22 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 04:17:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2013-06-20 17:56:19 EDT
Have no idea how this has happened or how to explain it, but check this
(manually rewrapped):

$ ps aux | grep abrt | grep -v grep
> jpokorny  1599  0.0  0.0 473552  7552 ?   Sl   Jun07   0:04
>   abrt-applet
> root     12058  0.0  0.0 143352  1324 ?   Ss   Jun07   0:00
>   /usr/sbin/abrtd -d -s
> root     12115  0.0  0.0 141240   996 ?   Ss   Jun07   0:01
>   /usr/bin/abrt-watch-log -F BUG: WARNING: at INFO: possible recursive
>   locking detected ernel BUG at list_del corruption list_add corruption
>   do_IRQ: stack overflow: ear stack overflow (cur: eneral protection
>   fault nable to handle kernel ouble fault: RTNL: assertion failed
>   eek! page_mapcount(page) went negative! adness at NETDEV WATCHDOG ysctl
>   table check failed : nobody cared IRQ handler type mismatch Machine
>   Check Exception divide error: bounds: coprocessor segment overrun:
>   invalid TSS: segment not present: invalid opcode: alignment check:
>   stack segment: fpu exception: simd exception: iret exception:
>   /var/log/messages -- /usr/bin/abrt-dump-oops -xD
> root     12174  0.0  0.0 141240   992 ?   Ss   Jun07   0:00
>   /usr/bin/abrt-watch-log -F Backtrace /var/log/Xorg.0.log
>   -- /usr/bin/abrt-dump-xorg -x

Could it be caused by in-place argv modification and accidentally omitting
one empty string ('\0') as the terminator?

# rpm -qf /usr/bin/abrt-watch-log
> abrt-2.1.4-3.fc18.x86_64

# grep abrt /var/log/yum.log
[...]
> May 17 12:00:13 Updated: gnome-abrt-0.2.12-2.fc18.x86_64
> Jun 07 14:31:12 Updated: abrt-libs-2.1.4-3.fc18.x86_64
> Jun 07 14:31:12 Updated: abrt-2.1.4-3.fc18.x86_64
> Jun 07 14:31:13 Updated: abrt-retrace-client-2.1.4-3.fc18.x86_64
> Jun 07 14:31:14 Updated: abrt-addon-ccpp-2.1.4-3.fc18.x86_64
> Jun 07 14:31:14 Updated: abrt-plugin-bodhi-2.1.4-3.fc18.x86_64
> Jun 07 14:31:15 Updated: abrt-addon-kerneloops-2.1.4-3.fc18.x86_64
> Jun 07 14:31:15 Installed: abrt-addon-uefioops-2.1.4-3.fc18.x86_64
> Jun 07 14:31:15 Updated: abrt-addon-vmcore-2.1.4-3.fc18.x86_64
> Jun 07 14:31:15 Updated: abrt-dbus-2.1.4-3.fc18.x86_64
> Jun 07 14:31:15 Updated: abrt-gui-2.1.4-3.fc18.x86_64
> Jun 07 14:31:16 Updated: abrt-addon-python-2.1.4-3.fc18.x86_64
> Jun 07 14:31:16 Updated: abrt-addon-xorg-2.1.4-3.fc18.x86_64
> Jun 07 14:31:56 Updated: abrt-desktop-2.1.4-3.fc18.x86_64
Comment 1 Michal Toman 2013-06-21 01:43:22 EDT
This is intentional, you can take a look at /lib/systemd/system/abrt-oops.service to see how the command line is built.
Comment 2 Jan Pokorný 2013-06-21 08:49:45 EDT
Ok, I was curious mainly because the text being part of the command is
apparently corrupted:

	ernel -> kernal
	eneral -> general
	nable -> unable

etc.

And well, it's allegedly a problem of abrt-dump-oops:

#  /usr/bin/abrt-dump-oops -m
> BUG:
> WARNING: at
> INFO: possible recursive locking detected
> ernel BUG at
> list_del corruption
> list_add corruption
> do_IRQ: stack overflow:
> ear stack overflow (cur:
> eneral protection fault
> nable to handle kernel
> ouble fault:
> RTNL: assertion failed
> eek! page_mapcount(page) went negative!
> adness at
> NETDEV WATCHDOG
> ysctl table check failed
> : nobody cared
> IRQ handler type mismatch
> Machine Check Exception
> divide error:
> bounds:
> coprocessor segment overrun:
> invalid TSS:
> segment not present:
> invalid opcode:
> alignment check:
> stack segment:
> fpu exception:
> simd exception:
> iret exception:

So, is this caused by insufficient parsing of some log items?


# rpm -qf /usr/bin/abrt-dump-oops; uname -r
> abrt-addon-kerneloops-2.1.4-3.fc18.x86_64
> 3.9.2-200.fc18.x86_64
Comment 3 Jakub Filak 2013-06-21 09:20:22 EDT
(In reply to Jan Pokorný from comment #2)
abrt-dump-oops throws away the first letter because we want to find either "Kernel" or "kernel".

You can verify that the garbling is done in the source code:
https://github.com/abrt/abrt/blob/master/src/lib/kernel.c#L84
Comment 4 Jan Pokorný 2013-06-21 09:25:45 EDT
Ok, go ahead closing this bug.
It may be handy also for future reference, I guess, as it really looks
suspicious when accidentally observed...
Comment 5 Tim Chappell 2014-09-09 00:26:56 EDT
I think this is still a bug. The ps aux command should not have all this extra information that clutters up a normally useful display.  I vote to clean up the display.  This is too much information at the ps level.

root       729  0.0  0.1 209548  7620 ?        Ss   21:51   0:00 /usr/bin/abrt-watch-log -F BUG: WARNING: at WARNING: CPU: INFO: possible recursive locking detected ernel BUG at list_del corruption list_add corruption do_IRQ: stack overflow: ear stack overflow (cur: eneral protection fault nable to handle kernel ouble fault: RTNL: assertion failed eek! page_mapcount(page) went negative! adness at NETDEV WATCHDOG ysctl table check failed : nobody cared IRQ handler type mismatch Machine Check Exception: Machine check events logged divide error: bounds: coprocessor segment overrun: invalid TSS: segment not present: invalid opcode: alignment check: stack segment: fpu exception: simd exception: iret exception: /var/log/messages -- /usr/bin/abrt-dump-oops -xtD
ro
Comment 6 Jakub Filak 2014-09-09 01:12:57 EDT
(In reply to Tim Chappell from comment #5)
This is fixed in Fedora 21.

Note You need to log in before you can comment on or make changes to this bug.